/* Are Co-Ethnics More Effective Counter-Insurgents? Evidence from the Second Chechen War */
/* Replication files for APSR 104:1 (2010), 1-20 */
/* Jason Lyall */
/* August 2009 */
/* Yale University */

clear
use "C:\Users\jlyall\Documents\Papers\Swept\New Data\RussChechMatched.dta"

/* Table 4 */ 
  
reg diff treat, cluster(vilno)
reg diff treat lpop2000 lelev liso lhistory poverty steald pret gar tariq killd reb tac logtotal groznyy month year, cluster(vilno)
reg diff treat if groznyy!=1, cluster(vilno)
reg diff treat lpop2000 lelev liso lhistory poverty steald pret gar tariq killd reb tac logtotal month year if groznyy!=1, cluster(vilno)

/* Table 5 */

stset vildays, failure(fail)
streg treat, dist(weibull) frailty(gamma) shared(vilno)
streg treat lpop2000 lelev liso lhistory poverty steald pret gar tariq killd reb tac logtotal month year groznyy, dist(weibull) frailty(gamma) shared(vilno)
streg treat if groznyy!=1, dist(weibull) frailty(gamma) shared(vilno)
streg treat lpop2000 lelev liso lhistory poverty steald pret gar tariq killd reb tac logtotal month year if groznyy!=1, dist(weibull) frailty(gamma) shared(vilno)

log close
exit
