/* Are Co-Ethnics More Effective Counter-Insurgents? Evidence from the Second Chechen War */
/* APSR 104:1 (2010), 1-20. */
/* Rep file for Russian/Joint Patrol Comparison */
/* Jason Lyall*/
/* August 2009 */
/* Yale University */

clear
use "C:\Users\jlyall\Documents\Papers\Swept\New Data\RussJointMatched.dta"

/* Tables 7-8 */
  
reg diff treat, cluster(vilno)
reg diff treat lpop2000 lelev liso lhistory poverty steald pret gar tariq killd reb tac logtotal month year groznyy, cluster(vilno)
reg diff treat if groznyy!=1, cluster(vilno)
reg diff treat lpop2000 lelev liso lhistory poverty steald pret gar tariq killd reb tac logtotal month year if groznyy!=1, cluster(vilno)

stset vildays, failure(fail)
streg treat, dist(weibull) frailty(gamma) shared(vilno)
streg treat lpop2000 lelev liso lhistory poverty steald pret gar tariq killd reb tac logtotal month year groznyy, dist(weibull) frailty(gamma) shared(vilno)
streg treat if groznyy!=1, dist(weibull) frailty(gamma) shared(vilno)
streg treat lpop2000 lelev liso lhistory poverty steald pret gar tariq killd reb tac logtotal month year if groznyy!=1, dist(weibull) frailty(gamma) shared(vilno)


log close
exit
